/*
 *
 * Реакции
 *
 */


ЗагрузитьРесурсыПодпола = мир =>
{
    const изображения = {
        "лестница": "ресурсы/вещи/лестница.png",
    };
    for (var имя in изображения)
    {
        мир.сцена.load.image(имя, изображения[имя]);
    }
};


// // // //


ЗадатьСтруктуруПодпола = мир =>
{
    мир.подпол = {
        полПодпола: {
            родитель: мир.каркас,
            тип: "платформа",
            x: 0,
            y: 1070,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleX: 250,
            visible: true,
        },

        леваяСтенаПодпола: {
            родитель: мир.каркас,
            тип: "платформа",
            x: 0,
            y: 600,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleY: 60,
            visible: false,
        },
        праваяСтенаПодпола: {
            родитель: мир.каркас,
            тип: "платформа",
            x: 2000,
            y: 600,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleY: 60,
            visible: false,
        },

        лестница: {
            родитель: мир.сцена,
            тип: "изображение",
            x: 100,
            y: 590,
            texture: "лестница",
            originX: 0,
            originY: 0,
            scaleX: 0.3,
            scaleY: 0.4,
        },

        ступенька1: {
            родитель: мир.платформы,
            тип: "платформа",
            x: 125,
            y: 980,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleX: 5,
            visible: true,
        },
    };
};


// // // //


СоздатьПодпол = мир =>
{
    создатьУзлыСценыПоСтруктуре(мир.подпол);
};


/*
 *
 * Последовательность
 *
 */


мир.разобрать(`
загрузить ресурсы сцены
    загрузить ресурсы подпола
создать сцену
    задать структуру подпола
    создать подпол
`);

